
#include <netinet/if_ether.h>
#include <net/if_var.h>
#include <dev/nicrtl.h>

/*!
 * \addtogroup xgEth0Dev
 */
/*@{*/

static NICINFO dcb_eth0;

/*!
 * \brief Network interface information structure.
 *
 * Used to call.
 */
IFNET ifn_eth0 = {
    IFT_ETHER,      /*!< \brief Interface type. */
    {0,0,0,0,0,0},  /*!< \brief Hardware net address. */
    0,              /*!< \brief IP address. */
    0,              /*!< \brief Remote IP address for point to point. */
    0,              /*!< \brief IP network mask. */
    ETHERMTU,            /*!< \brief Maximum size of a transmission unit. */
    0,              /*!< \brief Packet identifier. */
    0,              /*!< \brief Linked list of arp entries. */
    0,              /*!< \brief Routine to pass received data to. */
    NicOutput,      /*!< \brief Output routine. */
};

/*!
 * \brief Device information structure.
 *
 * Applications must pass this structure to slRegisterDevice() 
 * to bind this Ethernet device driver to the sl/OS kernel.
 * Having done that, the application may call slNetIfConfig()
 * with the name \em eth0 of this driver to initialize the network
 * interface.
 * 
 */
NUTDEVICE devEth0 = {
    0,              /*!< Pointer to next device. */
    { 'e', 't', 'h', '0', 0, 0, 0, 0, 0 },    /*!< Unique device name. */
    IFTYP_NET,      /*!< Type of device. */
    0,              /*!< Base address. */
    0,              /*!< First interrupt number. */
    &ifn_eth0,      /*!< Interface control block. */
    &dcb_eth0,      /*!< Driver control block. */
    NicInit,        /*!< Driver initialization routine. */
    0               /*!< Driver specific control function. */
};

/*@}*/
