#ifndef _DEV_IRQREG_H_
#define _DEV_IRQREG_H_


#include <sys/device.h>

/*!
 * \file dev/irqreg.h
 * \brief Interrupt management definitions.
 */

/*!
 * \addtogroup xgIrqReg
 */
/*@{*/

enum {
    IRQ_INT0,
    IRQ_INT1,
    IRQ_INT2,
    IRQ_INT3,
    IRQ_INT4,
    IRQ_INT5,
    IRQ_INT6,
    IRQ_INT7,
    IRQ_TIMER2_COMP,
    IRQ_TIMER2_OVF,
    IRQ_TIMER1_CAPT,
    IRQ_TIMER1_COMPA,
    IRQ_TIMER1_COMPB,
    IRQ_TIMER1_OVF,
    IRQ_TIMER0_COMP,
    IRQ_TIMER0_OVF,
    IRQ_SPI_STC,
    IRQ_UART_RX,
    IRQ_UART_UDRE,
    IRQ_UART_TX,
    IRQ_ADC,
    IRQ_EE_RDY,
    IRQ_ANA_COMP,
#ifdef __AVR_ATmega128__
    IRQ_TIMER1_COMPC,
    IRQ_TIMER3_CAP,
    IRQ_TIMER3_COMPA,
    IRQ_TIMER3_COMPB,
    IRQ_TIMER3_COMPC,
    IRQ_TIMER3_OVF,
    IRQ_UART1_RX,
    IRQ_UART1_UDRE,
    IRQ_UART1_TX,
    IRQ_I2C,
    IRQ_SPM_RDY,
#endif
    IRQ_MAX
};

extern int slRegisterInterrupt(int irq, void (*handler)(void *), void *arg);

/*@}*/

#endif
