#ifndef _NET_ERRNO_H_
#define _NET_ERRNO_H_



/*!
 * \file net/errno.h
 * \brief Network error definitions.
 */

#define EINVAL          22      /*!< Invalid argument */


#define EWOULDBLOCK     10035   //!< Operation would block
#define EINPROGRESS     10036   //!< Operation now in progress
#define EALREADY        10037   //!< Operation already in progress
#define ENOTSOCK        10038   //!< Socket operation on non-socket
#define EDESTADDRREQ    10039   //!< Destination address required
#define EMSGSIZE        10040   //!< Message too long
#define EPROTOTYPE      10041   //!< Protocol wrong type for socket
#define ENOPROTOOPT     10042   //!< Protocol not available
#define EPROTONOSUPPORT 10043   //!< Protocol not supported
#define ESOCKTNOSUPPORT 10044   //!< Socket type not supported
#define EOPNOTSUPP      10045   //!< Operation not supported on socket
#define EPFNOSUPPORT    10046   //!< Protocol family not supported
#define EAFNOSUPPORT    10047   //!< Address family not supported by protocol family
#define EADDRINUSE      10048   //!< Address already in use
#define EADDRNOTAVAIL   10049   //!< Can't assign requested address
#define ENETDOWN        10050   //!< Network is down
#define ENETUNREACH     10051   //!< Network is unreachable
#define ENETRESET       10052   //!< Network dropped connection on reset
#define ECONNABORTED    10053   //!< Software caused connection abort
#define ECONNRESET      10054   //!< Connection reset by peer
#define ENOBUFS         10055   //!< No buffer space available
#define EISCONN         10056   //!< Socket is already connected
#define ENOTCONN        10057   //!< Socket is not connected
#define ESHUTDOWN       10058   //!< Can't send after socket shutdown
#define ETOOMANYREFS    10059   //!< Too many references: can't splice
#define ETIMEDOUT       10060   //!< Connection timed out
#define ECONNREFUSED    10061   //!< Connection refused
#define ELOOP           10062   //!< Too many levels of symbolic links
#define ENAMETOOLONG    10063   //!< File name too long
#define EHOSTDOWN       10064   //!< Host is down
#define EHOSTUNREACH    10065   //!< No route to host
#define ENOTEMPTY       10066   //!< Directory not empty

#endif
