#ifndef _NET_ROUTE_H_
#define _NET_ROUTE_H_


#include <net/if_var.h>

/*!
 * \file net/route.h
 * \brief Routing information definitions.
 */

/*!
 * \brief Route entry type.
 */
typedef struct _RTENTRY RTENTRY;

/*!
 * \struct _RTENTRY route.h net/route.h
 * \brief Route entry structure.
 */
struct _RTENTRY {
    RTENTRY *rt_next;       //!< \brief Link to next entry.
    u_long   rt_ip;         //!< \brief Destination ip address.
    u_long   rt_mask;       //!< \brief IP address mask, -1 on host routes.
    u_long   rt_gateway;    //!< \brief Gateway ip address.
    NUTDEVICE  *rt_dev;     //!< \brief Device to use.
};

extern int slIpRouteAdd(u_long ip, u_long mask, u_long gate, NUTDEVICE *dev);
extern NUTDEVICE *slIpRouteQuery(u_long ip, u_long *gate);

#endif
