#ifndef _NETDB_H_
#define _NETDB_H_



/*
 * Error return codes.
 */
#define NETDB_INTERNAL  -1      /* see errno */
#define NETDB_SUCCESS   0       /* no problem */
#define HOST_NOT_FOUND  1       /* Authoritative Answer Host not found */
#define TRY_AGAIN       2       /* Non-Authoritative Host not found, or SERVERFAIL */
#define NO_RECOVERY     3       /* Non recoverable errors, FORMERR, REFUSED, NOTIMP */
#define NO_DATA         4       /* Valid name, no data record of requested type */
#define NO_ADDRESS      NO_DATA /* no address, look for MX record */

extern void slDnsConfig(CONST u_char *hostname, CONST u_char *domain, u_long dnsip);
extern u_long slDnsGetHostByName(CONST u_char *hostname);

#endif
