#ifndef _NETINET_IN_H_
#define _NETINET_IN_H_


#include <sys/types.h>

/*!
 * \file netinet/in.h
 * \brief Internet definitions.
 *
 * Constants and structures defined by the internet system.
 */

/*
 * Protocols
 */
#define IPPROTO_IP      0   /*!< \brief Dummy for IP. */
#define IPPROTO_ICMP    1   /*!< \brief Control message protocol. */
#define IPPROTO_TCP     6   /*!< \brief Transmission control protocol. */
#define IPPROTO_UDP     17  /*!< \brief User datagram protocol. */

#define IPPROTO_RAW     255 /*!< \brief Raw IP packet. */
#define IPPROTO_MAX     256 /*!< \brief Maximum protocol identifier. */


#define IPPORT_RESERVED     1024    /*!< \brief Last reserved port number. */
#define IPPORT_USERRESERVED 5000    /*!< \brief User reserved port number. */

/*!
 * \brief Any IP address.
 */
#define INADDR_ANY          (u_long)0x00000000

/*!
 * \brief Broadcast IP address.
 */
#define INADDR_BROADCAST    (u_long)0xffffffff

/*!
 * \brief Official loopback net address.
 */
#define IN_LOOPBACKNET      127

#endif
