#ifndef _NETINET_TCP_FSM_H_
#define _NETINET_TCP_FSM_H_


/*!
 * \file netinet/tcp_fsm.h
 * \brief TCP state machine definitions.
 */

#define TCP_NSTATES         11  /*!< \brief Total number of possible states. */

#define TCPS_CLOSED         0   /*!< \brief closed */
#define TCPS_LISTEN         1   /*!< \brief listening for connection */
#define TCPS_SYN_SENT       2   /*!< \brief active, have sent syn */
#define TCPS_SYN_RECEIVED   3   /*!< \brief have sent and received syn */
#define TCPS_ESTABLISHED    4   /*!< \brief established */
#define TCPS_CLOSE_WAIT     5   /*!< \brief rcvd fin, waiting for close */
#define TCPS_FIN_WAIT_1     6   /*!< \brief have closed, sent fin */
#define TCPS_CLOSING        7   /*!< \brief closed xchd FIN; await FIN ACK */
#define TCPS_LAST_ACK       8   /*!< \brief had fin and close; await FIN ACK */
#define TCPS_FIN_WAIT_2     9   /*!< \brief have closed, fin is acked */
#define TCPS_TIME_WAIT      10  /*!< \brief in 2*msl quiet wait after close */

extern void slTcpStateMachine(NETBUF *nb);
extern int slTcpInitStateMachine(void);

extern int slTcpStatePassiveOpenEvent(TCPSOCKET *sock);
extern int slTcpStateActiveOpenEvent(TCPSOCKET *sock);
extern int slTcpStateCloseEvent(TCPSOCKET *sock);
extern int slTcpStateWindowEvent(TCPSOCKET *sock);

extern void slTcpStateRetranTimeout(TCPSOCKET *sock);

#endif
