#ifndef _NETINET_UDP_H_
#define _NETINET_UDP_H_



#include <sys/types.h>
#include <dev/netbuf.h>

/*!
 * \file netinet/udp.h
 * \brief UDP protocol definitions.
 */

/*!
 * \struct udphdr udp.h netinet/udp.h
 * \brief UDP protocol header structure.
 */
/*!
 * \typedef UDPHDR
 * \brief UDP protocol header type.
 */
typedef struct udphdr {
    u_short uh_sport;   /*!< \brief Source port */
    u_short uh_dport;   /*!< \brief Destination port */
    u_short uh_ulen;    /*!< \brief UDP length */
    u_short uh_sum;     /*!< \brief UDP checksum */
} UDPHDR;

void slUdpInput(NETBUF *nb);

#endif
