#ifndef _SYS_ATOMIC_H_
#define _SYS_ATOMIC_H_


#include <sys/types.h>

static inline u_char AtomicInc2(volatile u_char *ptr)
{
    u_char cnt;

    asm volatile(
        "cli"                       "\n\t"
        "ld  %0, %a1"               "\n\t"
        "inc %0"                    "\n\t"
        "st  %a1, %0"               "\n\t"
        : "=&r" (cnt)
        : "e" (ptr)
    );
    return cnt;
}

static inline u_char AtomicDec2(volatile u_char *p)
{
    u_char cnt;

    asm volatile(
        "in  __tmp_reg__, __SREG__" "\n\t"
        "cli"                       "\n\t"
        "ld %0, %a1"                "\n\t"
        "dec %0"                    "\n\t"
        "st %a1, %0"                "\n\t"
        "out __SREG__, __tmp_reg__" "\n\t"
        : "=&r" (cnt)
        : "e" (p)
    );
    return cnt;
}


#endif
