#ifndef _SYS_CONFNET_H_
#define _SYS_CONFNET_H_



#define CONFNET_EE_OFFSET   64
#define CONFNET_MAX_IF      1

/*!
 * \brief Network configuration type.
 */
typedef struct _CONFNET CONFNET;

/*!
 * \struct _CONFNET confnet.h sys/confnet.h
 * \brief Network configuration structure.
 *
 */
struct _CONFNET {
    u_char cd_size;         /*!< \brief Size of this structure. */
    u_char cd_name[9];      /*!< \brief Magic cookie. */
    u_char cdn_mac[6];      /*!< \brief Ethernet MAC address. */
    u_long cdn_ip_addr;     /*!< \brief Last used IP address. */
    u_long cdn_ip_mask;     /*!< \brief IP netmask. */
    u_long cdn_gateway;     /*!< \brief Default route. */
    u_long cdn_cip_addr;    /*!< \brief Configured IP address. */
};

extern CONFNET confnet;

#endif
