

#include <netinet/tcputil.h>

/*!
 * \brief Sequence number comparisons.
 *
 * Return true if x is between low and high inclusive,
 * false otherwise
 */
int IsInLimits(u_long x, u_long low, u_long high)
{
    if(low <= high) {
        if(low <= x && x <= high)
            return 1;
    }
    else if(low >= x && x >= high)
        return 1;

    return 0;
}


#if 0
/*
 * Calculate round trip time.
 */
void slTcpCalcRtt(TCPSOCKET *sock)
{
    long ticks;
    
    /* if(sock->so_tx_flags & TCP_SND_ACKED)
          return;
     */

    /*
     * Don't use retransmitted segments to calculate new RTTs,
     * instead keep the last backed-off RTO value instead.
     */
#if 0
    if(sock->so_retransmits)
        sock->so_rto_next <<= sock->so_retransmits;
    else {
        /*
         * Ticks elapsed since last send.
         */
        ticks = 0; /*(long)(timer_get_jiffies() - sock->so_send_jiffies); */
        if(ticks == 0)
            ticks = 1;

        if(sock->so_srtt_avg == 0) {
            sock->so_srtt_var = ticks << 2;
            sock->so_srtt_avg = sock->so_srtt_var << 1;
        }
        else {
            /*
             * deviation += abs(error) - deviation
             */
            ticks -= (sock->so_srtt_avg >> 3);
            sock->so_srtt_avg += ticks;
            if(ticks < 0)
                ticks = -ticks;
            ticks -= (sock->so_srtt_var >> 2);
            sock->so_srtt_var += ticks;
        }
        sock->so_rto_next = (sock->so_srtt_avg >> 3) + sock->so_srtt_var;
    }
#endif

    /*
     * Don't allow a timeout that's greater than 2xMSL!
     */ 
    if(sock->so_rto_next > (240L * TICK_RATE))
        sock->so_rto_next = 240L * TICK_RATE;

    /* sock->so_tx_flags |= TCP_SND_ACKED;
     */
}
#endif

/*@}*/
